Page MenuHomePhabricator

LocalisationUpdate needs to support updating skins/ as well as extensions/
Closed, ResolvedPublic

Description

LocalisationUpdate needs to support updating skins/ as well as extensions/.

It is apparently possible to configure it to do so via $wgLocalisationUpdateRepositories, but "extensions/" is hard-coded in a few places and I have on idea what that code does.


Version: wmf-deployment
Severity: major

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:27 AM
bzimport added a project: Deployments.
bzimport set Reference to bz67154.
matmarex created this task.Jun 26 2014, 6:26 PM

Change 168274 had a related patch set uploaded by Reedy:
[WIP] LocalisationUpdate needs to support updating skins as well as extensions

https://gerrit.wikimedia.org/r/168274

Change 169715 had a related patch set uploaded by Reedy:
Clone/update skins directory during l10nupdate

https://gerrit.wikimedia.org/r/169715

Change 169716 had a related patch set uploaded by Reedy:
Add skins to wgLocalisationUpdateRepositories

https://gerrit.wikimedia.org/r/169716

Change 169715 merged by Alexandros Kosiaris:
Clone/update skins directory during l10nupdate

https://gerrit.wikimedia.org/r/169715

greg moved this task from To Triage to Next: Feature on the Deployments board.Nov 25 2014, 11:19 PM

Change 168274 had a related patch set uploaded (by Paladox):
LocalisationUpdate needs to support updating skins as well as extensions

https://gerrit.wikimedia.org/r/168274

Patch-For-Review

Change 168274 merged by jenkins-bot:
LocalisationUpdate needs to support updating skins as well as extensions

https://gerrit.wikimedia.org/r/168274

I'd merge it but it should really be merged and monitored by whoever does the next swat deploy?

This can be merged and deployed at any time that someone is willing to either run l10nupdate manually or wait until the nightly run.

Can it be effectively tested on beta cluster?

greg added a subscriber: Krenair.Apr 8 2015, 10:13 PM

This can be merged and deployed at any time that someone is willing to either run l10nupdate manually or wait until the nightly run.

Can it be effectively tested on beta cluster?

I was just about to ping on this, but then noticed that the patch above ( https://gerrit.wikimedia.org/r/#/c/169716/ ) was merged and deployed yesterday morning by @Nikerabbit and @Krenair. Thanks!

greg closed this task as Resolved.Apr 8 2015, 10:14 PM
greg set Security to None.
greg moved this task from In-progress to Done on the Deployments board.